<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dpconfig="http://www.datapower.com/param/config" xmlns:dyn="http://exslt.org/dynamic" xmlns:dp="http://www.datapower.com/extensions" extension-element-prefixes="dp" exclude-result-prefixes="dp dpconfig dyn">
	<!-- -->
	<!-- These fields are extracted from the transformation action -->
	<!-- -->
	<dp:summary xmlns="">
		<operation>xform</operation>
		<description>Demonstration of passing configuration params to XSLT</description>
	</dp:summary>
	<xsl:param name="dpconfig:xpath"/>
	<dp:param name="dpconfig:xpath">
		<display>XPath to test Input Document</display>
		<default>/</default>
		<description>Determine whether document contains XPath expression</description>
	</dp:param>
	<!-- -->
	<xsl:template match="/">
		<!-- -->
		<xsl:message>
			<xsl:value-of select="'Input document'"/>
			<dp:serialize select="/" omit-xml-decl="yes"/>
		</xsl:message>
		<xsl:choose>
			<xsl:when test="count(dyn:evaluate($dpconfig:xpath)) != 0">
				<xsl:message>
					<xsl:value-of select="concat('contains ', $dpconfig:xpath)"/>
				</xsl:message>
				<response>
					<found>
						<xsl:value-of select="$dpconfig:xpath"/>
					</found>
				</response>
			</xsl:when>
			<xsl:otherwise>
				<xsl:message>
					<xsl:value-of select="concat('does not contains ', $dpconfig:xpath)"/>
				</xsl:message>
				<response>
					<didNotFind>
						<xsl:value-of select="$dpconfig:xpath"/>
					</didNotFind>
				</response>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
